org.apache.tinkerpop.gremlin.driver.simple

## Interface SimpleClient

- All Superinterfaces:
    AutoCloseable, Closeable
  All Known Implementing Classes:
    AbstractClient, NioClient, WebSocketClient

      public interface SimpleClient
      extends Closeable

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ResponseMessage>` | `submit(RequestMessage requestMessage)`
    `void` | `submit(RequestMessage requestMessage, Consumer<ResponseMessage> callback)`
    `default List<ResponseMessage>` | `submit(String gremlin)`
    `default void` | `submit(String gremlin, Consumer<ResponseMessage> callback)`
    `CompletableFuture<List<ResponseMessage>>` | `submitAsync(RequestMessage requestMessage)`
    `default CompletableFuture<List<ResponseMessage>>` | `submitAsync(String gremlin)`

    - ### Methods inherited from interface java.io.Closeable

      `close`

- - ### Method Detail

    - #### submit

          default void submit(String gremlin,
                              Consumer<ResponseMessage> callback)
                       throws Exception

      Throws:
        `Exception`

    - #### submit

          void submit(RequestMessage requestMessage,
                      Consumer<ResponseMessage> callback)
               throws Exception

      Throws:
        `Exception`

    - #### submit

          default List<ResponseMessage> submit(String gremlin)
                                        throws Exception

      Throws:
        `Exception`

    - #### submit

          List<ResponseMessage> submit(RequestMessage requestMessage)
                                throws Exception

      Throws:
        `Exception`

    - #### submitAsync

          default CompletableFuture<List<ResponseMessage>> submitAsync(String gremlin)
                                                                throws Exception

      Throws:
        `Exception`

    - #### submitAsync

          CompletableFuture<List<ResponseMessage>> submitAsync(RequestMessage requestMessage)
                                                        throws Exception

      Throws:
        `Exception`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.